# Uses of Enum Class
org.eclipse.net4j.db.ddl.IDBIndex.Type

Packages that use IDBIndex.Type
Package
Description
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.h2
The Net4j DB Framework support for H2 databases.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.
org.eclipse.net4j.spi.db.ddl
Server service provider interfaces for the Net4j DB framework.

## Uses of IDBIndex.Type in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBIndex.Type
Modifier and Type
Method
Description
`IDBIndex.Type`
IDBIndex.`getType()`
`static IDBIndex.Type`
IDBIndex.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDBIndex.Type[]`
IDBIndex.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.db.ddl with parameters of type IDBIndex.Type
Modifier and Type
Method
Description
`IDBIndex`
IDBTable.`addIndex(String name, IDBIndex.Type type, String... fieldNames)`
`IDBIndex`
IDBTable.`addIndex(String name, IDBIndex.Type type, IDBField... fields)`
`IDBIndex`
IDBTable.`addIndex(IDBIndex.Type type, String... fieldNames)`
`IDBIndex`
IDBTable.`addIndex(IDBIndex.Type type, IDBField... fields)`
`IDBIndex`
IDBTable.`addIndexEmpty(String name, IDBIndex.Type type)`
`IDBIndex`
IDBTable.`addIndexEmpty(IDBIndex.Type type)`
`void`
IDBIndex.`setType(IDBIndex.Type type)`

## Uses of IDBIndex.Type in org.eclipse.net4j.db.h2

Methods in org.eclipse.net4j.db.h2 with parameters of type IDBIndex.Type
Modifier and Type
Method
Description
`protected boolean`
H2Adapter.`isPrimaryKeyShadow(Connection connection, IDBTable table, String name, IDBIndex.Type type, IDBField[] fields)`

## Uses of IDBIndex.Type in org.eclipse.net4j.spi.db

Fields in org.eclipse.net4j.spi.db declared as IDBIndex.Type
Modifier and Type
Field
Description
`IDBIndex.Type`
DBAdapter.IndexInfo.`type`
Methods in org.eclipse.net4j.spi.db with parameters of type IDBIndex.Type
Modifier and Type
Method
Description
`protected void`
DBAdapter.`addIndex(Connection connection, IDBTable table, String name, IDBIndex.Type type, List<DBAdapter.FieldInfo> fieldInfos)`
`protected boolean`
DBAdapter.`isPrimaryKeyShadow(Connection connection, IDBTable table, String name, IDBIndex.Type type, IDBField[] fields)`

## Uses of IDBIndex.Type in org.eclipse.net4j.spi.db.ddl

Methods in org.eclipse.net4j.spi.db.ddl with parameters of type IDBIndex.Type
Modifier and Type
Method
Description
`String`
InternalDBSchema.`createIndexName(IDBTable table, IDBIndex.Type type, IDBField[] fields, int position)`